﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace AgApp
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.ChangeBackground(this.radButton2, false);
		}

		private void radButton_Click(object sender, RoutedEventArgs e)
		{
			this.ChangeBackground(sender as RadButton, true);
		}

		private void ChangeBackground(RadButton button, bool applyTemplate)
		{
			if (button != null)
			{
				Brush backgroundBrush = new SolidColorBrush(Colors.Yellow);
				Brush borderBrush = new SolidColorBrush(Colors.Black);
				button.Background = backgroundBrush;
				button.BorderBrush = borderBrush;
				if (applyTemplate)
				{
					ControlTemplate template = button.Template;
					button.Template = null;
					button.Template = template;
					button.ApplyTemplate();
				}
			}
		}
	}
}
